Tagged Questions

Advanced Packaging Tool, the package manager for Debian-based distributions. It is also the most used tool for installing packages in Ubuntu. Questions about using any of the apt tools should use this tag.

learn more… | top users | synonyms (1)

0
votes
0answers
9 views

software and updates not working

Recently, I noticed a red circle with a minus sign on system panel beside the network manager. When I click on it displays the following: A problem occurred when checking for the updates. (greyed ...
0
votes
0answers
22 views

Are these packages safe to remove?

I ran sudo apt-get autoremove and this list of packages came up: The following packages will be REMOVED: fonts-horai-umefont fonts-wqy-microhei gnome-exe-thumbnailer icoutils ...
0
votes
1answer
22 views

List packages by section

I can run these commands to show the "Section" of certain packages $ apt-cache show bash | grep Section Section: shells $ apt-cache show procps | grep Section Section: admin I would like a command ...
0
votes
0answers
6 views

Update manager fails to initialize and gives an error message

I am trying to update my os from 12.04LTS to 14.04LTS but the update manager fails to initializegiving this error message. E:Encountered a section with no Package: header, E:Problem with MergeList ...
-1
votes
1answer
16 views

“Sub-process /usr/bin/dpkg returned an error code (1)” when i try to install skype

I'm new to linux and have been following the directions on how to get some important stuff from http://www.binarytides.com/better-elementary-os-luna/ This is what happened when i tries to install ...
0
votes
0answers
10 views

Installing packages meant for previous versions of ubuntu

I was trying to install everpad from rep using apt-get to no success. I am guessing this is because the everpad repos haven't been updated for 14.10 yet. Considering the minimal differences in 14.10 I ...
1
vote
0answers
14 views

apt-get searching for binary-armf with INTEL i7 CPU

When I run: apt-get update I receive the following errors: Err http://us.archive.ubuntu.com trusty/main armhf Packages 404 Not Found [IP: 91.189.91.13 80] Err http://us.archive.ubuntu.com ...
0
votes
0answers
10 views

ubuntu bootup problem .while staring ubuntu

W: Duplicate sources.list entry http://in.archive.ubuntu.com/ubuntu/ trusty-backports/multiverse i386 Packages ...
0
votes
1answer
15 views

Software Centre locked up

Ubuntu 14.04 LTS. Software Centre has locked up during install of krita. Problem seems to be corrupted download of krita-data. Can't remove or install anything and have followed onscreen instructions ...
0
votes
1answer
22 views

Why does add-apt-repository now fail to retrieve keys, while I can manually receive the keys?

I am using Ubuntu 14.04 and 12.04 with the latest updates behind a proxy server at my school. I had no problem a few months ago. However, over the past two months when I try to add a repository with ...
0
votes
0answers
8 views

Update only new added sources [duplicate]

When you add a new repository you must do apt-get update. This command will check all the sources and in my computer it take about 1~2 minutes to complete. Is it necessary to check all the sources? ...
0
votes
1answer
23 views

How to install software from 14.10 repositories?

At work I am using Ubuntu 12.04 (LTS) with KDevelop IDE. I saw there is a new version of KDevelop available, 4.7 (https://launchpad.net/ubuntu/+source/kdevelop). On my computer I have version 4.6 ...
0
votes
1answer
30 views

How to get a list of packages I installed? [duplicate]

I have a Kubuntu 14.10 install that I am considering backing up and recreating as I've been upgrading it since 12.04 and I'm having a few issues that might be due to age. Since I've been using it for ...
1
vote
2answers
174 views

My system is crashing

I really would appreciate someone to help guide me through a solution! /boot is 100% full. I tried following other threads and made mistakes maybe and removed all kernels by mistake! Computer is ...
-1
votes
1answer
35 views

program windows fade to grey and get then normal again

i installed ubuntu 14.04 on a laptop (Toshiba C50D-A-133). After installation i open a terminal, and run apt-get install with some packages. i remember playonlinux , gimp etc. During the packages were ...
0
votes
1answer
58 views

How to undo graphics driver install

I have an AMD A8 5600K with the Radeon 7000 series graphics. Last night, I upgraded from Ubuntu 14.04 to 14.10. Graphics were not running properly after the upgrade, so I ran the following commands: ...
-1
votes
0answers
18 views

smbd starts during Samba installtion, makes installation fail. Safe to delete some stuff?

My Setup: Ubuntu 14.04 Trusty Server 64 Bit with all updates What i have done so far: Installed Samba via tasksel Removed it via tasksel because i got an error about a missing python library when ...
0
votes
0answers
16 views

Vlc player not getting istalled in ubuntu 12.04. I am getting the below error [duplicate]

ubunt@ ubuntl01: ~$ sudo apt - get install vlc Reading package lists...Done Building dependency tree Reading state information...Done Some packages could not be installed.This may mean that you have ...
0
votes
2answers
11 views

Unable to install Box2D package

If I try to run sudo apt-get install python-box2d I get this nonsensical error message: Reading package lists... Done Building dependency tree Reading state information... Done You might want ...
0
votes
1answer
29 views

apt-get working with organization network but now with home network (Ubuntu guest Virtual Box)

I am using cntlm to get apt-get working. This works fine when I am connected to my organization's network but I am unable to get this working with my home network. The apt-conf file contains: ...
0
votes
1answer
94 views

Upgrade from 14.04 to 14.10 Failed really bad

I got a popup saying i had updates, and a new release. I clicked on to do the upgrade. Things went ok for a bit, then i started getting popups talking about problems .. like 10 or so, saying i should ...
0
votes
3answers
54 views

Install list of packages using apt-get

I have a fresh install of Lubuntu and would like to install packages from a given list, without having to type sudo apt-get install package_name. Is it possible?
0
votes
1answer
173 views

E: Sub-process /usr/bin/dpkg returned an error code (1)while processing: getdeb-repository UBUNTU 14.04

whenever I try to intall any packages the following bug comes up (OS in ubuntu 14.04). anil@anil-HP-15-Notebook-PC:~$ sudo apt-get upgrade [sudo] password for anil: Reading package lists... ...
0
votes
1answer
40 views

Fresh Server 14.04 install: “Unable to locate package (xyz)” for everything; How do I edit sources.list?

I can't install anything with apt-get on my fresh 14.04 Server installation. I get Unable to locate package [xyz] for everything I try. sudo apt-get update does nothing. This page implies that I need ...
0
votes
0answers
22 views

apt update stuck

I've been trying to update my system using "apt-get install". But the console is stuck at 100% [Connecting to us.archive.ubuntu.com (2001:67c:1562::15)] [Connecting to s What should/can I do? ...
-1
votes
1answer
18 views

backing up software installed from repository

I have installed kubuntu-desktop from the ubuntu reposiitory. It seems to have messed up my unity GUI. SO i want to uninstall it,but I want to create a backup of the app before I remove, because I do ...
1
vote
0answers
20 views

compizconfig-settings-manager: command not found

When I start compizconfig-settings-manager, I get the message command not found, but apt-get says that it is installed. Searching for the reason, I found that compizconfig-settings-manager was ...
3
votes
1answer
75 views

Can you change where apt installs software?

After 3 months of using Ubuntu I realized that apt is installing software to my SSD instead of my HDD. Presently I'm booting from my SSD but I have my home directory installed on the HDD. Is there ...
0
votes
1answer
56 views

Can not install packages after upgrade to 14.10

After upgrade to 14.10 from 14.04 (desktop ed) I can't install new packages or update the existing ones. The system boots but when I do a sudo apt-get upgrade I get some error saying that some ...
0
votes
2answers
14 views

Installing packages without docs

I want to install a bunch of packages, but I don't want to install the documentation of them. How can I do this?
0
votes
0answers
115 views

Cannot install skype after upgrading to Ubuntu 14.10

After upgrading to 14.10 Skype was removed from my installed packages. When trying to install I get this message: The following packages have unmet dependencies: skype : Depends: skype-bin I've ...
0
votes
0answers
20 views

Problems with USB devices

I'm a newbie when it comes to Linux, but I've been using it in quite a while and I'm enjoying so much! But since I edited my /etc/apt/sources.list file I've had a problem with downloading packages, ...
30
votes
4answers
2k views

What does apt-get install do under the hood?

What does the apt-get install ... command do? When I enter apt-get install ... command, there are some texts appearing on the screen, but that does not have enough information for me. I want to know ...
0
votes
0answers
56 views

Unmet dependencies installing wine

I've did all solutions in here But I cannot solve this error vahid@DEMON:~$ sudo apt-get install wine1.7 Reading package lists... Done Building dependency tree Reading state information... ...
4
votes
2answers
429 views

Nginx Suddenly Appeared

I've never heard of this happening, so I'm baffled and not sure where to begin debugging. I'm on 14.04 and have had LAMP installed (as instructed here) for 3-6 months. Today, my laptop rebooted, and ...
0
votes
0answers
11 views

Installing deprecated tool pack

I'd like to install the pack tool to solely employ Huffman coding to a file, for academic purposes. It is suggested to install liballegro4.2-dev, but I doubt it provides the same tool. Looking for ...
0
votes
1answer
65 views

Error processing archive while installing Mate on Ubuntu 14.04

I got this error when trying to install Mate 1.8.1 on ubuntu 14.04: Unpacking mate-applets (1.8.1+dfsg1-1~trusty1) ... dpkg: error processing archive ...
0
votes
0answers
29 views

Preseed for populating sources.list not working [closed]

I want to use a mirror of mine to make the Ubuntu Installation, and I add to the preseed file this parameters: ### Mirror settings # If you select ftp, the mirror/country string does not need to be ...
2
votes
1answer
38 views

I used Autoremove command

I was un installing some items from xubuntu 14.04 but after some time i got message like to use autoremove..and now when i logged in after rebooting everything i suppose important is gone. Even my ...
0
votes
1answer
71 views

libapache2-mod-php5 : Depends: php5-common

I installed php5.5 and upgrade Ubuntu from 12 to 14. Now the system isn't working. I did sudo apt-get upgrade && sudo apt-get install libapache2-mod-php5 But got The following packages ...
-1
votes
0answers
23 views

Software Repository Failed to fetch [closed]

I consistently get this error message when trying to update my software sources... Failed to fetch cdrom://Linux Mint 17 _Qiana_ - Release i386 20140624/dists/trusty/contrib/binary-i386/Packages ...
0
votes
1answer
45 views

Installed Pygame, but Python claims it does not exist

I want to use pygame, but I am having trouble installing/using it. It appears to be installed, but Python cannot find it. I know there are several similar questions about this, but none of them gave ...
2
votes
1answer
31 views

Why adding a PPA doesn't ask (y/n)?

On ubuntu and few other distros I've tried, when the user is prompted with a yes or no question, 99% of the time it prompts the user to input y or n depending on the choice. But the only exception to ...
0
votes
1answer
50 views

“Connection failed” during $ sudo apt-get update [duplicate]

when perform $ sudo apt-get update Err http://security.ubuntu.com trusty-security/main Sources Connection failed [IP: 91.189.92.201 80] Err http://security.ubuntu.com ...
-1
votes
0answers
26 views

I am getting message ('apt-get -f install' to correct these: ' ) every time when install any software. please help me

I am getting following message every time when install any software. Like for installing ImageMagic’s Import Command. I also try 1. apt-get -f install and 2. sudo apt-get update. But always getting ...
0
votes
0answers
14 views

Ubuntu apt-get update 404 error and not able to install openssh-serer [duplicate]

I've got an Ubuntu 12.10 Desktop VM on my Windows8.1 in VMWare Workstation. When I type in apt-get update I get 404 errors: Csdn@ubuntu:~$ sudo apt-get update Ign http://extras.ubuntu.com quantal ...
1
vote
1answer
98 views

Fail when update system

I get in some trouble when I tried to update the system W: Failed to fetch http://archive.getdeb.net/ubuntu/dists/trusty-getdeb/apps/binary-amd64/Packages 521 Origin Down [IP: 104.28.24.125 80] W: ...
0
votes
1answer
29 views

I cannot install any packages [duplicate]

My new Ubuntu Dell laptop version 12.04 is not playing videos. I get the error message, mpeg-4 aac codec not installed I can't install the ubuntu-restricted-extras package Here is the error ...
0
votes
0answers
21 views

Is it possible to restore 32-bit 14.04 packages/system to 64-bit 14.04?

Restore I backed up a 32-bit 14.04 system and tried to migrate to a new machine running 64-bit 14.04 with the following: sudo cp ~/backup/sources.bak /etc/apt/sources.list sudo chmod 644 ...
-1
votes
1answer
34 views

How to remove completely the php packages from ondrej PPA?

I have Ubuntu 14.04, wanted to try php5.6. Added ppa:ondrej/php5-5.6. Updated. Installed php5. Got php5.6. Did not find some extensions and decided to switch back to ubuntu's own php 5.5. Deleted ...